/*
** amiga.lib for vbcc-PowerOpen/WarpOS
**
** LibAllocPooled()
**
** V0.2 19-Apr-98 phx
**      fixed invalid type
** V0.1 15-Mar-98 phx
**      only dummy functions, because WarpOS has no mem pools in V14
*/

#include <exec/types.h>
#include <powerpc/powerpc_protos.h>

struct dummyPool {
  ULONG reqs;
};


APTR LibAllocPooled(APTR poolHeader, ULONG memSize)
{
  return ((APTR)AllocVecPPC(memSize,(ULONG)((struct dummyPool *)poolHeader)->reqs,0));
}
